--- title: "deleteBlockStorageSnapshotInstances" slug: "compute-vserver-snapshot-deleteblockstoragesnapshotinstances" tags: ["Server", "Block Storage"] updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-snapshot-deleteblockstoragesnapshotinstances" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # deleteBlockStorageSnapshotInstances Available in VPC Delete a block storage snapshot instance. Note KVM-based snapshots used to create the server image can't be deleted. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/deleteBlockStorageSnapshotInstances | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `blockStorageSnapshotInstanceNoList.N` | Array | Required | Snapshot instance number list - See [getBlockStorageSnapshotInstanceList](/docs/en/compute-vserver-snapshot-getblockstoragesnapshotinstancelist). - Example: `blockStorageSnapshotInstanceNoList.1=1234&blockStorageSnapshotInstanceNoList.2=2345` | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/deleteBlockStorageSnapshotInstances ?regionCode=KR &blockStorageSnapshotInstanceNoList.1=10*****50 &blockStorageSnapshotInstanceNoList.2=10*****80 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `deleteBlockStorageSnapshotInstancesResponse` | Object | - | Response result - See [BlockStorageSnapshotInstanceList](/docs/en/common-vapidatatype-blockstoragesnapshotinstancelist). | | `deleteBlockStorageSnapshotInstancesResponse.requestId` | String | - | ID for the request - UUID format | | `deleteBlockStorageSnapshotInstancesResponse.returnCode` | String | - | Response code | | `deleteBlockStorageSnapshotInstancesResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "deleteBlockStorageSnapshotInstancesResponse": { "totalRows": 2, "blockStorageSnapshotInstanceList": [ { "blockStorageSnapshotInstanceNo": "10*****80", "blockStorageSnapshotName": "snapshot2", "blockStorageSnapshotVolumeSize": 53687091200, "originalBlockStorageInstanceNo": "10*****62", "blockStorageSnapshotInstanceStatus": { "code": "CREAT", "codeName": "Block storage CREATED status" }, "blockStorageSnapshotInstanceOperation": { "code": "TERMT", "codeName": "Block storage TERMINATE OP" }, "blockStorageSnapshotInstanceStatusName": "terminating", "createDate": "2025-06-20T14:16:06+0900", "isEncryptedOriginalBlockStorageVolume": false, "blockStorageSnapshotDescription": "snapshot 2", "snapshotType": { "code": "FULL", "codeName": "Full Storage Snapshot" }, "snapshotChainDepth": 0, "isBootable": false, "hypervisorType": { "code": "XEN", "codeName": "XEN" }, "blockStorageVolumeType": { "code": "SSD", "codeName": "SSD" } }, { "blockStorageSnapshotInstanceNo": "10*****50", "blockStorageSnapshotName": "snapshot1", "blockStorageSnapshotVolumeSize": 53687091200, "originalBlockStorageInstanceNo": "10*****19", "blockStorageSnapshotInstanceStatus": { "code": "CREAT", "codeName": "Block storage CREATED status" }, "blockStorageSnapshotInstanceOperation": { "code": "TERMT", "codeName": "Block storage TERMINATE OP" }, "blockStorageSnapshotInstanceStatusName": "terminating", "createDate": "2025-06-20T14:05:34+0900", "isEncryptedOriginalBlockStorageVolume": false, "snapshotType": { "code": "FULL", "codeName": "Full Storage Snapshot" }, "snapshotChainDepth": 0, "isBootable": false, "hypervisorType": { "code": "XEN", "codeName": "XEN" }, "blockStorageVolumeType": { "code": "SSD", "codeName": "SSD" } } ], "requestId": "e2c8d1b4-****-****-****-d4254afbe963", "returnCode": "0", "returnMessage": "success" } } ```